### Method

# Adw SplitButtonset_icon_name

#### Declaration [src]

    void
    adw_split_button_set_icon_name (
      AdwSplitButton* self,
      const char* icon_name
    )

#### Description [src]

Sets the name of the icon used to automatically populate the button.

Setting the icon name will set `AdwSplitButton:label` and `AdwSplitButton:child` to `NULL`.

Sets property | `Adw.SplitButton:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The icon name to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.